*,*::before,*::after{
    box-sizing: border-box;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: normal;
}

body{
    padding: 0;
    margin: 0;
    background: linear-gradient(to right,#05acff,#9c33ff,#ff4ae7);
}

.calculator-grid{
    position: sticky;
    display: grid;
    justify-content: center;
    align-content: center;
    min-height: 100vh;
    grid-template-columns: repeat(4,100px);
    grid-template-rows: minmax(120px,auto) repeat(5,100px);
}

.calculator-grid>button{
    cursor: pointer;
    font-size: 2rem;
    border: 1px solid white;
    outline: none;
    background-color: rgba(255,255,255,.75);
}

.calculator-grid>button:hover{
    background-color: rgba(255,255,255,.9);
}

.span-two{
    grid-column: span 2;
}

.output{
    grid-column: 1/-1;
    background: rgba(0, 0, 0, 0.75);
    display: flex;
    justify-content: space-around;
    align-items: flex-end;
    flex-direction: column;
    padding: 10px;
    word-wrap: break-word;
    word-break: break-all;
}

.output .previous-operand{
    color: rgba(255,255,255,.75);
    font-size: 1.5rem;
}

.output .current-operand{
    color: white;
    font-size: 2.5rem;
}



 @media (max-width:480px){
    body{
        background: #9c33ff;
    }
}
